package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 中医疾病对象 fs_illness_library
 *
 * @author fs
 * @date 2023-09-04
 */
public class FsIllnessLibrary extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 疾病id */
    private Long illnessId;

    /** 疾病名称 */
    @Excel(name = "疾病名称")
    private String illnessName;

    /** 症状 */
    @Excel(name = "症状")
    private String symptom;

    /** 舌脉 */
    @Excel(name = "舌脉")
    private String tongueVein;

    /** 治法 */
    @Excel(name = "治法")
    private String therapy;

    /** 方剂名称 */
    @Excel(name = "方剂名称")
    private String formulaName;

    /** 方剂详情 */
    @Excel(name = "方剂详情")
    private String formulaDescs;

    public void setIllnessId(Long illnessId)
    {
        this.illnessId = illnessId;
    }

    public Long getIllnessId()
    {
        return illnessId;
    }
    public void setIllnessName(String illnessName)
    {
        this.illnessName = illnessName;
    }

    public String getIllnessName()
    {
        return illnessName;
    }
    public void setSymptom(String symptom)
    {
        this.symptom = symptom;
    }

    public String getSymptom()
    {
        return symptom;
    }
    public void setTongueVein(String tongueVein)
    {
        this.tongueVein = tongueVein;
    }

    public String getTongueVein()
    {
        return tongueVein;
    }
    public void setTherapy(String therapy)
    {
        this.therapy = therapy;
    }

    public String getTherapy()
    {
        return therapy;
    }
    public void setFormulaName(String formulaName)
    {
        this.formulaName = formulaName;
    }

    public String getFormulaName()
    {
        return formulaName;
    }
    public void setFormulaDescs(String formulaDescs)
    {
        this.formulaDescs = formulaDescs;
    }

    public String getFormulaDescs()
    {
        return formulaDescs;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("illnessId", getIllnessId())
            .append("illnessName", getIllnessName())
            .append("symptom", getSymptom())
            .append("tongueVein", getTongueVein())
            .append("therapy", getTherapy())
            .append("formulaName", getFormulaName())
            .append("formulaDescs", getFormulaDescs())
            .toString();
    }
}
